← OBPdynamic-entity Delete user_operator_relationship by id DELETE /obp/dynamic-entity/user_operator_relationship/USER_OPERATOR_RELATIONSHIP_ID OBPv4.0.0-dynamicEntity_deleteuser_operator_relationship_ Roles: CanDeleteDynamicEntityRecord_user_operator_relationship(per bank) _User_operator_relationshipDynamic-EntityDynamic Delete user_operator_relationship by id MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"user_operator_relationship" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "operator_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "relationship": "Managing Director, Employee, Accountant" } Example success response { "user_operator_relationship": { "user_operator_relationship_id": "d8839721-ad8f-45dd-9f78-2080414b93f9", "user_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "operator_id": "3dece208-c95c-11f0-9041-54e1adfac5b1", "relationship": "Managing Director, Employee, Accountant" } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.